import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '评论标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '评论名称',
    align:"center",
    dataIndex: 'userName'
   },
   {
    title: '评论头像',
    align:"center",
    dataIndex: 'userHead'
   },
   {
    title: '评论内容',
    align:"center",
    dataIndex: 'userValue'
   },
   {
    title: '评论图片',
    align:"center",
    dataIndex: 'userImage'
   },
   {
    title: '评论的房',
    align:"center",
    dataIndex: 'homeId'
   },
   {
    title: '评论用户',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '评论分数',
    align:"center",
    dataIndex: 'num'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '评论标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '评论名称',
    field: 'userName',
    component: 'Input',
  },
  {
    label: '评论头像',
    field: 'userHead',
    component: 'Input',
  },
  {
    label: '评论内容',
    field: 'userValue',
    component: 'Input',
  },
  {
    label: '评论图片',
    field: 'userImage',
    component: 'Input',
  },
  {
    label: '评论的房',
    field: 'homeId',
    component: 'Input',
  },
  {
    label: '评论用户',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '评论分数',
    field: 'num',
    component: 'Input',
  },
];
