package org.jeecg.api.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CommonHomeBo {

    @ApiModelProperty(value = "价格上限")
    private String priceId;

    @ApiModelProperty(value = "地点区域")
    private String  areaId;

    @ApiModelProperty(value = "年限小于或者等于year")
    private String yearId;

    @ApiModelProperty(value = "租房分类")
    private String typeId;

    @ApiModelProperty(value = "分类标识")
    private String classId;

    @ApiModelProperty(value = "所属种类")
    private String commonClass;

}
